mod.rs 22 lignes · 957 octets
//! SeaORM entity models for the federation tables.
//!
//! Schema is owned by `rustwarden-core` (migrations live in
//! `rustwarden-core/migrations/`); this module only contains the Rust-side
//! entity definitions consumed by federation services.

/// AP-native authentication challenge row (RFC 0006).
pub mod fediverse_auth_challenge;
/// Federation blocklist (RFC 0004).
pub mod fediverse_blocked_domain;
/// Persistent outbound delivery queue (RFC 0011).
pub mod fediverse_outbound_queue;
/// Cross-instance team-membership invitation (RFC 0009).
pub mod fediverse_pending_invite;
/// Personal access token issued to a remote ActivityPub identity (RFC 0030).
pub mod fediverse_personal_access_token;
/// Resource share grant for a remote ActivityPub identity (RFC 0029).
pub mod fediverse_resource_share;
/// Federation allowlist (RFC 0004).
pub mod fediverse_trusted_domain;
/// Remote ActivityPub identity cache (RFC 0003).
pub mod remote_identity;